Subject: Re: bug#21278: char-fold isearch: space and newline still broken

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Sep 2021 09:19:53 +0300

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Mon, 06 Sep 2021 23:17:45 -0400
> 
>   > I think that's because in Mail mode we have:
> 
>   >   (char-syntax ?\n) => 32 ; SPC
> 
>   > whereas in *scratch*:
> 
>   >   (char-syntax ?\n) => 62 ; >
> 
>   > And the regexp in search-whitespace-regexp is "\\s-+".
> 
> That seems plausible.
> 
> I still say it is a bug.  Incremental search should not equate
> newline with spaces, at least not by default.  It is right to
> treat newline as whitespace in other commands, but not in search.
> 
> What would be a good fix?  Change the syntax of newline?
> What would be a good choice?

No, I think we should leave the syntax of the newline alone, I bet too
much depends on it.

I think we should change the default value of search-whitespace-regexp
instead.  Building such mode-independent features on syntax properties
is IME asking for trouble.

Stefan, WDYT?